import { epicCurrency, CURRENCY } from "./epicCurrency";
export interface CURRENCY_LIST {
    [index: string]: epicCurrency;
}
export interface CURRENCY_LIST_JSON {
    [key: string]: CURRENCY;
}
export declare class epicCurrencyList {
    protected standard: epicCurrency;
    protected currencyList: CURRENCY_LIST;
    constructor(currencyList?: epicCurrencyList | epicCurrency[] | CURRENCY_LIST | CURRENCY_LIST_JSON);
    changeStandard: (currencyCode: string) => epicCurrencyList;
    addCurrency: (currency: CURRENCY | epicCurrency) => epicCurrencyList;
    addCurrencies: (currencies: CURRENCY_LIST_JSON | epicCurrency[]) => epicCurrencyList;
    removeCurrency: (currencyCode: string) => epicCurrencyList;
    removeCurrencies: (currencyCodes: string[]) => epicCurrencyList;
    getList: (includeStandard?: boolean, clone?: boolean) => CURRENCY_LIST;
    getListJson: (includeStandard?: boolean) => CURRENCY_LIST_JSON;
    getStandard: () => epicCurrency;
    get: (currencyCode: string) => epicCurrency;
    has: (currencyCode: string) => boolean;
    clone: (cloneCurrencies?: boolean) => epicCurrencyList;
}
//# sourceMappingURL=epicCurrencyList.d.ts.map